Bug 1763254 - PUT Object request without explicit x-amz-storage-class does not apply compression
Summary: PUT Object request without explicit x-amz-storage-class does not apply compre...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: RGW
Version: 4.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: 4.0
Assignee: Casey Bodley
QA Contact: Tejas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-18 15:06 UTC by Casey Bodley
Modified: 2020-01-31 12:47 UTC (History)
7 users (show)

Fixed In Version: ceph-14.2.4-30.el8cp, ceph-14.2.4-2.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:47:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 40935 0 None None None 2019-10-18 15:06:53 UTC
Github ceph ceph pull 29909 0 'None' closed rgw: fix default storage class for get_compression_type 2020-01-23 20:42:24 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:47:49 UTC

Description Casey Bodley 2019-10-18 15:06:53 UTC
If compression is enabled on the default STANDARD storage class, the setting only takes effect for PUT Object requests that provide the 'x-amz-storage-class: STANDARD' header. When this header is omitted, we default to the STANDARD storage class, but do not compress the data.

Comment 1 RHEL Program Management 2019-10-18 15:07:01 UTC
Please specify the severity of this bug. Severity is defined here:
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity.

Comment 8 errata-xmlrpc 2020-01-31 12:47:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.